Subject: Re: Bug in rm -r with locked files
From: Gael Mulat <[email-masked]>
To: [email-masked]
Date: Tue, 21 Jan 2003 15:49:02 +0100

Corinna Vinschen wrote:
> On Tue, Jan 21, 2003 at 12:50:18PM +0100, Gael Mulat wrote:
> >    Hi,
> > 
> >    This is a bug report about rm (package fileutils, version 4.1-1) on W2K.
> > 
> >    Test case: take 2 cygwin shells.
> > shell 1:
> >    mkdir /tmp/directory
> >    vi /tmp/directory/file
> > 
> > shell 2:
> >    /bin/rm -rf /tmp/directory
> > 
> >    The shell2 doesn't manage to remove the directory and goes into an 
> > infinite loop, taking 100% of the CPU.
> >    All is then OK if we go out of vi in the shell1.
> 
> Which version of Cygwin and Vim are you using?  I'm getting this:
> 
>   shell 1:
>      mkdir /tmp/foo
>      vi /tmp/foo/bar
>      :w                 <= To create file `bar'
> 

   Cygwin 1.3.17
   VIM 6.1-2
   Windows 2000 SP2 / SP3

   Just to be precise if I was not clear: do not exit of vi !
   
   In fact, I have noticed that the problem happens with vi, but it happens also with some 
other processes. I just don't know which ones.
   I found several times my Windows 2000 with the CPU at 100%, all the CPU was taken
by a rm in my scripts on cygwin. I didn't found the process that held the lock, but I noticed
that vi did the same...

Gael.

>   shell 2:
>      rm -rf /tmp/foo    <= returns immediately, having foo removed.
> 
> Vim doesn't lock the file, so I wonder what you are discribing here.
> 
> Corinna
> 
> -- 
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                                mailto:[email-masked]
> Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/